/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
#include "sos.h"
#include "smg.h"
#include "scp_err.h"
#include "scp_yacc.h"

main (int argc, char *argv[])
{  sos_init (argc, argv);

   if (argc != 3)
   {  err_raise (err_USE, err_SCP_USAGE, NULL, FALSE);
      exit (1);
   }

   sos_String n = smg_String (argv[1]).make_String (TEMP_CONTAINER);
   scp_mdl = sos_Schema_module::lookup (n);
   n.destroy();
   if (scp_mdl == NO_OBJECT)
   {  err_raise (err_USE, err_SCP_NO_SCHEMA, argv[1], FALSE);
      exit (1);
   }

   yyin = fopen (argv[2], "r");
   if (yyin == 0)
   {  err_raise (err_USE, err_SCP_NO_FILE, argv[2], FALSE);
      exit (1);
   }

   cout << "#line 1 \"" << argv[2] << "\"\n";
   scp_compile();

   exit (0);
}
